Locale related regression

Pierre Labastie pierre.labastie at neuf.fr
Tue Feb 7 06:21:00 PST 2012


Le 07/02/2012 09:24, Matt Burgess a écrit :
> On Mon, 2012-02-06 at 21:22 -0500, Thomas Pegg wrote:
>
>> Fortunately I think my XSL-foo is sufficient. :)
>> I commited a fix to trunk that I'm pretty sure resolves this. Please confirm.
> Thanks a lot, that's fixed it!
>
> Matt.
>
Well,
First of all, I want to apologize for that pitfall. I had not realized
that fairly current locales (such as en_GB) where not in the minimal
set of installed locales.

OTH, I still think it is overkill to install the full set of supported 
locales
just because you need one. I might submit a patch, which uses the
'lang' parameter to install the required locale, if I can sort out a not
too complicated way of doing that.

something like:
locale=grep $lang /usr/share/i18n/SUPPORTED
charmap=`echo $locale | sed 's,[^ ]*[ ],,'`
input=`echo $locale | sed 's,[ .].*,,'`
localedef -i $input -f $charmap $locale

But need to check that it is not already in the minimal set.
Also not install if lang=C or POSIX.

Regards,
Pierre




More information about the alfs-discuss mailing list